package client.renderer.layers;

import client.renderer.entity.RendererLivingEntity;
import client.renderer.model.ModelArmor;
import common.util.Equipment;

public class LayerArachnoidArmor extends LayerArmor {
	public LayerArachnoidArmor(RendererLivingEntity<?> rendererIn) {
		super(rendererIn, 12, 12);
	}

	protected void setModelPartVisible(ModelArmor model, Equipment slot) {
		switch(slot) {
			case CHESTPLATE:
			case HELMET:
				super.setModelPartVisible(model, slot);
				break;
			default:
				model.setVisible(false);
				break;
		}
	}
}
